## org.eclipse.emf.cdo.server.db
Interface IPreparedStatementCache

    public interface IPreparedStatementCache

Since:
  2.0

Nested Class Summary
`static class` `IPreparedStatementCache.ReuseProbability` An enum for the degree of probability to which a prepared statement is reused later on.

Method Summary
`java.sql.PreparedStatement` `getPreparedStatement(java.lang.String sql, IPreparedStatementCache.ReuseProbability reuseProbability)`
`void` `releasePreparedStatement(java.sql.PreparedStatement ps)`
`void` `setConnection(java.sql.Connection connection)`

Method Detail

### setConnection

    void setConnection(java.sql.Connection connection)

### getPreparedStatement

    java.sql.PreparedStatement getPreparedStatement(java.lang.String sql,
                                                    IPreparedStatementCache.ReuseProbability reuseProbability)

### releasePreparedStatement

    void releasePreparedStatement(java.sql.PreparedStatement ps)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.